Name: soundmodem
Version: 0.15
Release: 2%{?dist}
Summary: Soundcard Packet Radio Modem
Group: Applications/Communications
License: GPLv2+
URL: http://www.baycom.org/~tom/ham/soundmodem/
Source: http://www.baycom.org/~tom/ham/soundmodem/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# Requires: /sbin/ifconfig /sbin/route /sbin/arp
BuildRequires: gtk2-devel
BuildRequires: alsa-lib-devel
BuildRequires: libxml2-devel
BuildRequires: audiofile-devel
Requires (preun): chkconfig
Requires (preun): initscripts
Requires (post): chkconfig
Requires(postun): initscripts


%description
This package contains the driver and the diagnostic utility for
userspace SoundModem. It allows you to use soundcards
as Amateur Packet Radio modems.

%package devel

Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
#autoreconf -if
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
find %{buildroot} -name '*.la' -exec rm -f {} ';'
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sysconfdir}/{ax25,rc.d/init.d}
sed -i -e "s/# chk.*/# chkconfig: - 50 50/g" soundmodem.initscript
install -p -m 755 soundmodem.initscript %{buildroot}%{_sysconfdir}/rc.d/init.d/soundmodem
mkdir -p %{buildroot}%{_includedir}/%{name}
mv %{buildroot}%{_includedir}/modem.h %{buildroot}%{_includedir}/%{name}
mv %{buildroot}%{_includedir}/simd.h %{buildroot}%{_includedir}/%{name}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add soundmodem

%preun
if [ $1 = 0 ]; then
 /sbin/service soundmodem stop > /dev/null 2>&1
 /sbin/chkconfig --del soundmodem
fi

%postun
if [ "$1" -ge "1" ] ; then
 /sbin/service soundmodem condrestart >/dev/null 2>&1 || :
fi


%files -f %{name}.lang
%defattr(-, root, root, -)
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/*/*
%{_initddir}/soundmodem
%doc AUTHORS COPYING ChangeLog NEWS README newqpsk/README.newqpsk

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 18 2010 Lucian Langa <cooly@gnome.eu.org> - 0.15-1
- new upstream release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 01 2009 Lucian Langa <cooly@gnome.eu.org> - 0.14-1
- new upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Lucian Langa <cooly@gnome.eu.org> - 0.12-1
- update BR
- drop autoreconf
- drop all patches as fixed ustream
- new upstream release

* Sun Jan 25 2009 Lucian Langa <cooly@gnome.eu.org> - 0.10-6
- apply debian patch for tx switching in ALSA mode

* Sat Dec 06 2008 Alan Crosswell <alan@columbia.edu> - 0.10-5
- Apply patch to remove spurious printfs.

* Wed Dec 03 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-4
- move include files to it's own separate include dir
- fix duplicated doc files

* Thu Nov 20 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-3
- update scriptlets
- update BR
- fix old configure script

* Thu Jul 17 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-2
- Description update

* Fri Jul 11 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10-1
- Initial spec file

